import { join } from 'node:path';

const config = {
  stories: [
    '../components/**/*.component.yml',
  ],
  addons: [
    {
      name: 'storybook-addon-sdc',
      options: {
        sdcStorybookOptions: {
          namespace: 'ssdc',
          validate: false, // Disable schema validation
        },
        vitePluginTwigDrupalOptions: {
          namespaces: {
            ssdc: join(__dirname, '../components'),
          },
        },
        jsonSchemaFakerOptions: {},
      },
    },
    '@storybook/addon-essentials',
    '@storybook/addon-interactions',
  ],
  framework: {
    name: '@storybook/html-vite',
    options: {},
  },
};

export default config;
