/**
 * Accordion with Image
 */
(function accordionWithImageComp() {
  document.addEventListener("DOMContentLoaded", function () {
    // Initialize accordion items
    document.querySelectorAll('.accordion-with-image').forEach((accordion) => {
      const firstItem = accordion.querySelector('.accordion-item:first-child .accordion-item-inner');
      if (firstItem) {
        firstItem.classList.add('opened');
      }
    });

    // Handle accordion item clicks (excluding variation-4)
    document
      .querySelectorAll(".accordion-with-image:not(.variation-4) .accordion-item-inner .ac-title")
      .forEach((title) => {
        title.addEventListener('click', function (e) {
          e.preventDefault();
          e.stopPropagation();

          const itemInner = this.closest('.accordion-item-inner');
          itemInner.classList.add('opened');
          itemInner.classList.remove('closed');

          const siblings = Array.from(itemInner.closest('.accordion-item').parentElement.children);
          siblings.forEach((sibling) => {
            if (sibling !== itemInner.closest('.accordion-item')) {
              const siblingInner = sibling.querySelector('.accordion-item-inner');
              if (siblingInner) {
                siblingInner.classList.remove('opened');
                siblingInner.classList.add('closed');
              }
            }
          });

          const accessibilityTxt = this.querySelector('.ac-accessibilty-txt');
          if (itemInner.classList.contains('opened')) {
            accessibilityTxt.textContent = 'click to close accordion';
          } else {
            accessibilityTxt.textContent = 'click to open accordion';
          }
        });
      });

    // ✅ Define handleResize function before calling it
    function handleResize() {
    }

    // ✅ Ensure handleResize exists before calling it
    if (typeof handleResize === "function") {
      window.addEventListener('resize', handleResize);
      handleResize();
    }
  });
})();
